Package org.apache.lucene.queryparser.flexible.core.nodes

# Class PathQueryNode.QueryText

java.lang.Object
org.apache.lucene.queryparser.flexible.core.nodes.PathQueryNode.QueryText

All Implemented Interfaces:
  `Cloneable`

Enclosing class:
  `PathQueryNode`

public static class PathQueryNode.QueryText extends Object implements Cloneable
Term text with a beginning and end position

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QueryText(CharSequence value, int begin, int end)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PathQueryNode.QueryText`
  `clone()`
  `int`
  `getBegin()`
  `int`
  `getEnd()`
  `CharSequence`
  `getValue()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### QueryText

    public QueryText(CharSequence value, int begin, int end)
    Parameters:
      `value` - - text value
      `begin` - - position in the query string
      `end` - - position in the query string

- ## Method Details

  - ### clone

    public PathQueryNode.QueryText clone() throws CloneNotSupportedException
    Overrides:
      `clone` in class `Object`
    Throws:
      `CloneNotSupportedException`

  - ### getValue

    public CharSequence getValue()
    Returns:
      the value

  - ### getBegin

    public int getBegin()
    Returns:
      the begin

  - ### getEnd

    public int getEnd()
    Returns:
      the end

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`